const input = await Deno.readFile("../data/2015/1/input.txt");

let floor = 0;
for (let c of input) {
  const paren = String.fromCharCode(c);
  if (paren == '(') floor++;
    else if (paren == ')') floor--;
}
console.log(`Part 1: ${floor}`);

floor = 0;
let steps = 0;
for (let c of input) {
  const paren = String.fromCharCode(c);
  if (paren == '(') floor++;
    else if (paren == ')') floor--;
  steps++;
  if (floor < 0) break;
}
console.log(`Part 2: ${steps}`);
